import React, { useState, useEffect } from 'react'
import { Layout, Menu, Breadcrumb } from 'antd'
import { Route } from 'react-router-dom'
import { MailOutlined, MehOutlined } from '@ant-design/icons'
import './index.scss'
import '@ant-design/pro-table/dist/table.css'
import { routes } from  '../router/config'


const { Header, Content, Sider } = Layout
// 路由渲染
const reallyRoutes = routes.map(item => item.children ? item.children : item).flat()

const AdminLayout: any = (props) => {

  useEffect(() => {
    setCurrentKeys([props.history.location.pathname])
  }, [])
  const [currnetKeys, setCurrentKeys]: any = useState(["/admin/role"])

  const switchRoute = route => {
    props.history.push(route.path)
    setCurrentKeys([route.path])
  }

  return (
    <Layout style={{ minHeight: '100vh' }}>
      <Sider style={{ backgroundColor: 'white' }}>
        <Menu mode="inline" selectedKeys={currnetKeys}>
        {
          routes.map((route, index) => {
            return (
              route.children
                ?
                <Menu.SubMenu title={route.title}>
                  {
                    route.children.filter(item => !item.hideInMenu).map((child, childIndex) =>
                      <Menu.Item
                        key={child.path}
                        onClick={() => switchRoute(child)}
                      >
                        {child.title}
                      </Menu.Item>
                    )
                  }
                </Menu.SubMenu>
                :
                <Menu.Item
                  key={route.path}
                  onClick={() => switchRoute(route)}>
                  {route.title}
                </Menu.Item>
            )
          })
        }
        </Menu>
      </Sider>
      <Layout>
        <Header className='layout-header'>
          运营系统 System
          <div>
            <MehOutlined/> Admin
          </div>
        </Header>
        <Content className='layout-content'>
          {
            reallyRoutes.
              map(route =>
                <Route
                  exact
                  path={route.path}
                  key={route.path}
                  component={route.component}/>)
          }
        </Content>
      </Layout>
    </Layout>
  )
}

export default AdminLayout