import axios from 'axios'
import { message } from 'antd'

const prefix = '/api'

export const request = axios.create({
  baseURL: `${prefix}`,
  timeout: 50000
})

request.interceptors.request.use(config => {
  if (localStorage.getItem('area-token')) {
    config.headers['Authorization'] = localStorage.getItem('area-token')
  }
  return config
})

request.interceptors.response.use(response => {
  if (response.data.code) {
    const error = response.data.message
    message.error(error)
    throw error
    return
  }
  return response.data
})

export default request
