import React, { FC } from 'react'
import {
  Form,
  Input,
  Button,
  Row,
  Col,
  Upload,
  Select,
  InputNumber
} from 'antd'
import { UploadOutlined } from '@ant-design/icons'
import './index.scss'

const proveForm = [
  {
    label: '法人代表',
    name: 'username'
  },
  {
    label: '详细地址',
    name: 'username'
  },
  {
    label: '统一社会信用代码',
    name: 'username'
  }
]
const accountForm = [
  {
    label: '用户名',
    name: 'username'
  },
  {
    label: '密码',
    name: 'username'
  }
]
const basicInfoForm = [
  {
    label: '申请人',
    name: 'username'
  },
  {
    label: '申请人联系电话',
    name: 'username'
  },
  {
    label: '企业名称',
    name: 'username'
  },
  {
    label: '企业联系电话',
    name: 'username'
  },
  {
    label: '申请人职务',
    name: 'username'
  },
]

const AddCompany: FC = () => {
  return (
    <div className="custom-form-box">
      <Form
        name="basic"
        labelCol={{ span: 5 }}
        wrapperCol={{ span: 9 }}
        initialValues={{ remember: true }}
        labelAlign={'right'}
      >
        <Row>
          <Col span={12}>
            <div className='form-group-title'>基本信息</div>
            {
              basicInfoForm.map(item => (
                <Form.Item
                  label={item.label}
                  name={item.name}
                  required
                  rules={[{ required: true, message: `请输入${item.label}` }]}
                >
                  <Input placeholder='单行输入' />
                </Form.Item>
              ))
            }
            <Form.Item label='身份证明' wrapperCol={{ span: 2 }}>
              <Upload name="logo" action="/upload.do" listType="picture">
                <Button style={{ width: '100%' }} icon={<UploadOutlined />}>选择文件</Button>
              </Upload>
            </Form.Item>
          </Col>
          <Col span={12}>
            <div className='form-group-title'>账户信息</div>
            {
              accountForm.map(item => (
                <Form.Item
                  label={item.label}
                  name={item.name}
                  required
                  rules={[{ required: true, message: `请输入${item.label}` }]}
                >
                  <Input placeholder='单行输入' />
                </Form.Item>
              ))
            }
          </Col>
        </Row>
        <Row className='form-group'>
          <Col span={12}>
            <div className='form-group-title'>资质信息</div>
            {
              proveForm.map(item => (
                <Form.Item
                  label={item.label}
                  name={item.name}
                  required
                  rules={[{ required: true, message: `请输入${item.label}` }]}
                >
                  <Input placeholder='单行输入' />
                </Form.Item>
              ))
            }
            <Form.Item label='证件类型' wrapperCol={{ span: 2 }}>
              <Select style={{ width: 180 }} placeholder='多证合一营业执照'>
                <Select.Option value="jack">Type 1</Select.Option>
              </Select>
            </Form.Item>
            <Form.Item label='营业执照' wrapperCol={{ span: 2 }}>
              <Upload name="logo" action="/upload.do" listType="picture">
                <Button style={{ width: '100%' }} icon={<UploadOutlined />}>选择文件</Button>
              </Upload>
            </Form.Item>
          </Col>
        </Row>
        <Row className='form-group'>
          <Col span={12}>
            <div className='form-group-title'>权限信息</div>
            <Form.Item
              label="免费小区个数"
              name="username"
              required
              rules={[{ required: true, message: '请输入小区个数!' }]}
              wrapperCol={{ span: 3 }}
            >
              <InputNumber style={{ width: '140px' }} placeholder='请选择' />
            </Form.Item>
          </Col>
        </Row>
        <Form.Item wrapperCol={{ span: 24 }}>
          <Button type="primary" size='large' htmlType="submit">
            添加
          </Button>
        </Form.Item>
      </Form>
    </div>
  )
}

export default AddCompany
