import * as React from 'react'
import type { ProColumns, ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, message, Input, Drawer, Modal, Form, InputNumber, Row } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import { BasicInfoForm, ProveForm } from './map'

const RoleList: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: 'ID',
      dataIndex: 'id'
    },
    {
      title: '申请人',
      dataIndex: 'name'
    },
    {
      title: '申请人联系电话',
      dataIndex: 'name'
    },
    {
      title: '公司名称',
      dataIndex: 'name'
    },
    {
      title: '公司电话',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '申请人职务',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '身份证明',
      dataIndex: 'garden_count',
      search: false,
    },
    {
      title: '申请时间',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '审核状态',
      dataIndex: 'approve_status',
      valueEnum: {
        0: {
          text: '待审核',
          status: 'Default',
        },
        1: {
          text: '已通过',
          status: 'Processing',
        },
        2: {
          text: '未通过',
          status: 'Success',
        }
      },
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
      render: (_, row, index, action) => [
        <Button type='link' onClick={() => {
          setState(pre => ({ ...pre, examineVisible: true }))
        }}>审核</Button>,
        <Button type='link' onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>配额</Button>
      ]
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    examineVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <ProTable
        headerTitle="物业公司"
        actionRef={actionRef}
        rowKey="key"
        search={{ labelWidth: 120 }}
        request={() => {
          return Promise.resolve({
            total: 200,
            data: [{}],
            success: true,
          });
        }}
        toolBarRender={() => [
          <Button
            type="primary"
            key="primary"
            onClick={() => {
              props.history.push('/admin/company/add')
            }}
          >
            <PlusOutlined /> 新建
          </Button>
        ]}
        columns={columns}
      />
      <Modal
        visible={state.visible}
        title='配额'
        onOk={() => setState(pre => ({ ...pre, visible: false }))}
        onCancel={() => setState(pre => ({ ...pre, visible: false }))}
      >
        <Form>
          <Form.Item label='新增小区数'>
            <InputNumber placeholder='请输入'></InputNumber>
            <div style={{ marginTop: 5 }}>当前个数：8       操作后个数：10</div>
          </Form.Item>
        </Form>
      </Modal>
      <Modal
        title='审核'
        visible={state.examineVisible}
        onOk={() => setState(pre => ({ ...pre, examineVisible: false }))}
        onCancel={() => setState(pre => ({ ...pre, examineVisible: false }))}
      >
        <Form
          labelCol={{ span: 7 }}
          wrapperCol={{ span: 9 }}
        >
          <Row>
            <div className='examine-form-title'>基本信息</div>
            {
              BasicInfoForm.map(item => (
                <Form.Item
                  style={{ width: '100%' }}
                  label={item.label}
                  name={item.name}
                  required
                >
                  这只是一个值
                </Form.Item>
              ))
            }
          </Row>
          <Row>
            <div className='examine-form-title'>资质信息</div>
            {
              ProveForm.map(item => (
                <Form.Item
                  style={{ width: '100%' }}
                  label={item.label}
                  name={item.name}
                  required
                >
                  这只是一个值
                </Form.Item>
              ))
            }
          </Row>
          <Row>
            <div className='examine-form-title'>权限信息</div>
            <Form.Item label='免费小区个数' style={{ width: '100%' }}>
              <InputNumber style={{ width: '140px' }} placeholder='请选择' />
            </Form.Item>
          </Row>
        </Form>
      </Modal>
    </React.Fragment>
  )
}

export default RoleList