import * as React from 'react'
import type { ProColumns, ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, message, Input, Drawer } from 'antd'
import { PlusOutlined } from '@ant-design/icons'

// @ts-ignore
const columns = [
  {
    title: '名称',
    dataIndex: 'name',
    tip: '名称是唯一的 key',
    render: (dom: any, entity: any) => {
      return (
        <a
          onClick={() => {

          }}
        >
          {dom}
        </a>
      );
    },
  },
  {
    title: '描述',
    dataIndex: 'desc',
    valueType: 'textarea',
  },
  {
    title: '服务调用次数',
    dataIndex: 'callNo',
    sorter: true,
    hideInForm: true,
    renderText: (val: string) => `${val}万`,
  },
  {
    title: '状态',
    dataIndex: 'status',
    hideInForm: true,
    valueEnum: {
      0: {
        text: '关闭',
        status: 'Default',
      },
      1: {
        text: '运行中',
        status: 'Processing',
      },
      2: {
        text: '已上线',
        status: 'Success',
      },
      3: {
        text: '异常',
        status: 'Error',
      },
    },
  },
  {
    title: '上次调度时间',
    sorter: true,
    dataIndex: 'updatedAt',
    valueType: 'dateTime',
    renderFormItem: (item: any, { defaultRender, ...rest }: any, form: any) => {
      const status = form.getFieldValue('status');

      if (`${status}` === '0') {
        return false;
      }

      if (`${status}` === '3') {
        return <Input {...rest} placeholder="请输入异常原因！" />;
      }

      return defaultRender(item);
    },
  },
  {
    title: '操作',
    dataIndex: 'option',
    valueType: 'option',
    render: (_, record: any) => [
      <a
        key="config"
        onClick={() => {
          console.log('6666')
        }}
      >
        配置
      </a>,
      <a key="subscribeAlert" href="https://procomponents.ant.design/">
        订阅警报
      </a>,
    ]
  }
]
const RoleList: React.FC = () => {
  const actionRef = React.useRef<ActionType>();

  return (
    <ProTable
      headerTitle="商户列表"
      actionRef={actionRef}
      rowKey="key"
      search={{
        labelWidth: 120,
      }}
      toolBarRender={() => [
        <Button
          type="primary"
          key="primary"
          onClick={() => {

          }}
        >
          <PlusOutlined /> 新建
        </Button>,
      ]}
      columns={columns}
      rowSelection={{
        onChange: (_, selectedRows) => {

        },
      }}
    />
  )
}

export default RoleList