import * as React from 'react'
import type { ProColumns, ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, message, Input, Drawer, Modal, Form, InputNumber, Row, Select } from 'antd'
import { PlusOutlined } from '@ant-design/icons'

const GardenList: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: '小区名称',
      dataIndex: 'name'
    },
    {
      title: '小区地址',
      dataIndex: 'name'
    },
    {
      title: '所属物业公司',
      dataIndex: 'id',
      valueEnum: {
        0: {
          text: '测试',
          status: 'Default',
        }
      }
    },
    {
      title: '物业联系人',
      dataIndex: 'name'
    },
    {
      title: '物业联系人手机号',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '社区',
      dataIndex: 'id'
    },
    {
      title: '街道',
      dataIndex: 'id'
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
      render: (_, row, index, action) => [
        <Button type='link' onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>修改所属物业公司</Button>
      ]
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    examineVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <ProTable
        headerTitle="小区列表"
        actionRef={actionRef}
        rowKey="key"
        search={{ labelWidth: 120 }}
        request={() => {
          return Promise.resolve({
            total: 200,
            data: [{}],
            success: true,
          });
        }}
        toolBarRender={() => []}
        columns={columns}
      />
      <Modal
        visible={state.visible}
        title='修改小区所属物业公司'
        onOk={() => setState(pre => ({ ...pre, visible: false }))}
        onCancel={() => setState(pre => ({ ...pre, visible: false }))}
      >
        <Form>
          <Form.Item label='所属物业公司'>
            <Select placeholder='请选择'>
              <Select.Option value='1'>
                测试
              </Select.Option>
            </Select>
          </Form.Item>
        </Form>
      </Modal>
    </React.Fragment>
  )
}

export default GardenList