import * as React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, message, Input, Drawer } from 'antd'
import { PlusOutlined } from '@ant-design/icons'

// @ts-ignore
const columns: any = [
  {
    title: '权限名称',
    dataIndex: 'name',
  },
  {
    title: '所属上级code',
    dataIndex: 'pcode'
  },

  {
    title: '路由',
    dataIndex: 'router',
  },
  {
    title: '方法',
    dataIndex: 'method',
    search: false,
  },
  {
    title: '操作',
    dataIndex: 'option',
    valueType: 'option',
    render: (_, record: any) => [
      <Button type='link'>修改</Button>,
      <Button type='link'>删除</Button>
    ]
  }
]
const RoleList: React.FC = () => {
  const actionRef = React.useRef<ActionType>();

  return (
    <ProTable
      headerTitle="权限列表"
      actionRef={actionRef}
      rowKey="key"
      search={{
        labelWidth: 120,
      }}
      request={() => {
        return Promise.resolve({
          total: 200,
          data: [{
            children: [{}, {}]
          }],
          success: true,
        });
      }}
      toolBarRender={() => [
        <Button
          type="primary"
          key="primary"
          onClick={() => {

          }}
        >
          <PlusOutlined /> 新建
        </Button>,
      ]}
      columns={columns}
    />
  )
}

export default RoleList