import * as React from 'react'
import './index.scss'
import { PostLogin } from '../../services/api'
import { message } from 'antd'

// @ts-ignore
import sha256 from 'sha256'

const Login: React.FC = () => {
  // input useRef
  const inputName: any = React.useRef(null)
  const inputPassword: any = React.useRef(null)

  const handleLogin = async () => {
    const name = inputName.current.value
    const password = inputPassword.current.value || 'zaq123edc'
    const { data } = await PostLogin({ user: name, password: sha256(password) })
    message.success('登录成功！')
    localStorage.setItem('area-token', data.token)
  }

  return (
    <div className="login-container">
      <div className="login-box">
        <div className="login-cover">
          <div className="login-title">
            勤爱家
            <div>物业管理系统</div>
          </div>
        </div>
        <div className="login-form">
          <div className="login-type-tabs">
            <div className="current">密码登录</div>
            <div>验证码登录</div>
          </div>
          <div className="form-item" style={{ marginBottom: '36px' }}>
            <input ref={inputName} placeholder="手机/账号" />
          </div>
          <div className="form-item">
            <input type="password" ref={inputPassword} placeholder="密码" />
          </div>
          <div className="other-links">忘记密码</div>
          <button className="submit-btn" onClick={handleLogin}>登录</button>
          <div className="other-tips">
            没有账号？<span>立即注册</span>
          </div>
        </div>
      </div>
    </div>
  )
}

export default Login
